Summary: A graphical interface for configuring the X Window System display
Name: system-config-display
Version: 1.0.14
Release: 1
URL: http://fedora.redhat.com/projects/config-tools/
License: GPL
ExclusiveOS: Linux
Group: System Environment/Base
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
Source0: %{name}-%{version}.tar.bz2
ExcludeArch: s390 s390x
Obsoletes: redhat-config-xfree86
Requires: pygtk2 >= 1.99.11
Requires: pygtk2-libglade
Requires: python2
Requires: usermode >= 1.36
Requires: hwdata >= 0.80
Requires: kudzu >= 1.1.31-1
Requires: pyxf86config >= 0.3.16
Requires: rhpl >= 0.128-1
Requires: redhat-artwork >= 0.61-1
Requires: xsri
Requires: /usr/X11R6/bin/Xorg
Requires: metacity
Obsoletes: Xconfigurator

%description
system-config-display is a graphical application for configuring an
X Window System X server display.

%prep
%setup -q

%build
make

%install
make INSTROOT=$RPM_BUILD_ROOT install
desktop-file-install --vendor system --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --add-category X-Red-Hat-Base                             \
  $RPM_BUILD_ROOT%{_datadir}/applications/system-config-display.desktop

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%preun
if [ -d /usr/share/system-config-display ] ; then
  rm -rf /usr/share/system-config-display/*.pyc
fi

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/system-config-display
%{_datadir}/system-config-display
%{_datadir}/applications/*
#%{_datadir}/pixmaps/system-config-xfree.png
%attr(0644,root,root) %config /etc/security/console.apps/system-config-display
%attr(0644,root,root) %config /etc/pam.d/system-config-display
%attr(0644,root,root) %{_datadir}/icons/hicolor/48x48/apps/system-config-display.png

%changelog
* Fri Apr 30 2004 Brent Fox <bfox@redhat.com> 1.0.14-1
- do not write out extra XF86Config file during firstboot (bug #121729)

* Tue Apr 20 2004 Brent Fox <bfox@redhat.com> 1.0.13-3
- Do not write out XkbRules line to config file, as it is unnecessary to hard
  code the rules file, which has a built in default which should always
  work. (#120858)

* Wed Apr 14 2004 Brent Fox <bfox@redhat.com> 1.0.13-2
- update requires for new pyxf86config

* Tue Apr 13 2004 Brent Fox <bfox@redhat.com> 1.0.13-1
- make changes for XFree86 -> Xorg conversion

* Thu Apr  8 2004 Brent Fox <bfox@redhat.com> 1.0.12-2
- fix icon path (bug #120174)

* Tue Mar 23 2004 Brent Fox <bfox@redhat.com> 1.0.12-1
- filter out duplicate monitor entries (bug #118976)

* Wed Mar 17 2004 Mike A. Harris <mharris@redhat.com> 1.0.11-1
- Change Requires: XFree86 to Requires: /usr/X11R6/bin/XFree86, which is
  what it appears from the sources is being called.  That will need to change
  when the server gets renamed, so it should be implemented IMHO in a way
  that is not hard coded.  This should suffice for now however.
- Changed package description to remove "XFree86" name and replace it with
  generic "X Window System X server" term.
- Added the "via", and "voodoo" drivers that were missing to internal driver
  list in videocardDialog.py.  The list is still missing stuff though, but
  those sprung to mind.
- Added force-tag target to Makefile with tag -cF
- Added tag target without -F to Makefile
- Removed -F from archive target as that can potentially blow away an already
  tagged and released version from the repository if someone accidentally
  does a "make archive" without updating the spec file Version: field like
  I just about did.  ;o)

* Mon Mar  1 2004 Brent Fox <bfox@redhat.com> 1.0.10-1
- sanity check the monitor selection (bug #112314)

* Mon Mar  1 2004 Brent Fox <bfox@redhat.com> 1.0.9-3
- remove Requires on system-config-mouse

* Fri Feb 27 2004 Brent Fox <bfox@redhat.com> 1.0.9-2
- another stab at the dual-head code

* Thu Feb 26 2004 Brent Fox <bfox@redhat.com> 1.0.9-1
- write out "Screen" entry for dual-head cards

* Tue Feb 24 2004 Brent Fox <bfox@redhat.com> 1.0.8-1
- start up metacity to make the windows look nice (bug #108206)

* Thu Feb 19 2004 Brent Fox <bfox@redhat.com> 1.0.7-1
- don't import rhpl.mouse in xconf.py

* Tue Feb 17 2004 Brent Fox <bfox@redhat.com> 1.0.6-1
- write XF86Config to the correct path (bug #115501)

* Fri Jan 30 2004 Brent Fox <bfox@redhat.com> 1.0.5-1
- correct naming in the spec file description

* Thu Dec  4 2003 Brent Fox <bfox@redhat.com> 1.0.4-1
- add code to apply changes made in the firstboot display screen

* Tue Dec  2 2003 Brent Fox <bfox@redhat.com> 1.0.3-1
- add code to pull display notebook page into firstboot

* Thu Nov 20 2003 Brent Fox <bfox@redhat.com> 1.0.2-1
- fix path problem

* Wed Nov 19 2003 Brent Fox <bfox@redhat.com> 1.0.1-1
- rename from redhat-config-xfree86 to system-config-display
- add Obsoletes for redhat-config-xfree86
- make changes for Python2

* Thu Oct 23 2003 Brent Fox <bfox@redhat.com> 0.9.15-1
- work around cards with no driver entries (bug #106501)

* Thu Oct 23 2003 Brent Fox <bfox@redhat.com> 0.9.14-1
- check length of list before removing items (bug #107790)

* Thu Oct 16 2003 Brent Fox <bfox@redhat.com> 0.9.13-1
- allow dualhead to be disabled (bug #107261)

* Wed Oct 15 2003 Brent Fox <bfox@redhat.com> 0.9.12-1
- fix bug #106884 for real this time

* Tue Oct 14 2003 Brent Fox <bfox@redhat.com> 0.9.11-1
- package lightrays.png inside redhat-config-xfree86

* Mon Oct 13 2003 Brent Fox <bfox@redhat.com> 0.9.10-1
- make sure current is initialized (bug #106884)

* Mon Oct  6 2003 Brent Fox <bfox@redhat.com> 0.9.9-3
- add a Requires for XFree86 (bug #105992)

* Mon Oct  6 2003 Brent Fox <bfox@redhat.com> 0.9.9-2
- finish up the dual-head code
- catch case of having no layout options

* Thu Oct  2 2003 Brent Fox <bfox@redhat.com> 0.9.9-1
- first stab at multihead code
- commit some additional monitor icons

* Thu Aug 14 2003 Brent Fox <bfox@redhat.com> 0.9.8-1
- tag on every build

* Thu Jun  5 2003 Brent Fox <bfox@redhat.com> 0.9.7-1
- see if we have the name for an unprobed monitor

* Tue Jun  3 2003 Brent Fox <bfox@redhat.com> 0.9.6-1
- only offer the resolutions that we know to be reasonable for the selected monitor (bug #88269)

* Fri May 30 2003 Brent Fox <bfox@redhat.com> 0.9.5-1
- big UI changes
- make room in the UI for multihead stuff

* Wed May 28 2003 Brent Fox <bfox@redhat.com> 0.7.6-1
- add an ExcludeArch for s390 and s390x (bug #91811)

* Fri May 23 2003 Brent Fox <bfox@redhat.com> 0.7.5-1
- turn on horizontal scrolling in videocard window
- initialize dpi measurement option menu correctly (bug #90190)

* Wed May 21 2003 Michael Fulbright <msf@redhat.com> 0.7.4-1
- converted to use new way of representing Generic monitors in MonitorsDB

* Tue Feb  4 2003 Brent Fox <bfox@redhat.com> 0.7.3-2
- paint the background with lightrays.png

* Thu Jan 30 2003 Brent Fox <bfox@redhat.com> 0.7.3-1
- bump and build

* Tue Jan 21 2003 Brent Fox <bfox@redhat.com> 0.7.2-3
- add closing parenthesis (bug #80398)

* Mon Jan 20 2003 Brent Fox <bfox@redhat.com> 0.7.2-2
- iterate through available video cards until one works
- clean up the output

* Fri Jan 17 2003 Brent Fox <bfox@redhat.com> 0.7.1-6
- make monitor dialog a little larger and allow horz. scrolling (bug #82112)

* Tue Jan 14 2003 Brent Fox <bfox@redhat.com> 0.7.1-5
- fixed desktop file icon

* Thu Jan  9 2003 Jeremy Katz <katzj@redhat.com> 0.7.1-4
- import rhpl.monitor

* Mon Jan  6 2003 Brent Fox <bfox@redhat.com> 0.7.1-3
- try to read the XMOUSETYPE from /etc/sysconfig/mouse (bug #74992)

* Sun Jan  5 2003 Brent Fox <bfox@redhat.com> 0.7.1-2
- fix the dialog centering code
- connect the resolution menu to update_ui so the screenshot gets refreshed

* Sun Jan  5 2003 Brent Fox <bfox@redhat.com> 0.7.1-1
- change radio buttons to OptionMenus

* Fri Jan  3 2003 Brent Fox <bfox@redhat.com> 0.7.0-6
- default to us keyboard if /etc/sysconfig/keyboard contains a keyboard unknown to rhpl (bug #80993)

* Sun Dec 22 2002 Brent Fox <bfox@redhat.com> 0.7.0-5
- change xconfig.comment to reflect that redhat-config-xfree86 made the change

* Fri Dec 20 2002 Brent Fox <bfox@redhat.com> 0.7.0-4
- call mouse.read() if probing didn't return a valid DEVICE info (bug #80115)
- import string in videocardDialog.py
- pass hardware_state into VideocardDialog

* Thu Dec 19 2002 Brent Fox <bfox@redhat.com> 0.7.0-2
- made some ui cleanups that keeps the dialog from resizing while changing resolutions
- removed all the autoconf stuff and replaced it with simpler Makefile and spec file
- rebuild for completeness

* Fri Dec 13 2002 Brent Fox <bfox@redhat.com> 0.7.0-1
- pulled the classes out into their own files to make it more understandable

* Tue Nov 12 2002 Michael Fulbright <msf@redhat.com> 0.6.9-1
- migrated to new rhpl based backend

* Tue Nov  5 2002 Alexander Larsson <alexl@redhat.com>
- Fixed some small bugs

* Thu Sep  5 2002 Alexander Larsson <alexl@redhat.com>
- Require pygtk2-libglade

* Fri Aug 30 2002 Jeremy Katz <katzj@redhat.com> 0.6.6-1
- create /etc/X11/X symlink (#73108)

* Wed Aug 28 2002 Alexander Larsson <alexl@redhat.com> 0.6.5-1
- Fix DRI state changes. (#72255)

* Tue Aug 27 2002 Alexander Larsson <alexl@redhat.com> 0.6.4-1
- Fix XF86Option typo (#72243)

* Mon Aug 26 2002 Alexander Larsson <alexl@redhat.com> 0.6.3-1
- Fixes bug #72456

* Fri Aug 23 2002 Alexander Larsson <alexl@redhat.com> 0.6.2-1
- Fixed part of Bug #72275, the rest is in Gtk+.

* Wed Aug 21 2002 Preston Brown <pbrown@redhat.com> 0.6.1-1
- fixed starting tool when XF86Config is corrupt (#71461)

* Fri Aug  9 2002 Alexander Larsson <alexl@redhat.com> 0.6.0-1
- Add 640x480 to list of resolutions
- Kluge around treeview horizontal scroll bug in videocard dialog
- set textdomain everywhere it is needed to make i18n work
- Try --reconfig if starting an xserver with the current config file doesn't work.
- Tell gdm to restart server on logout after we write the config file.

* Tue Aug  6 2002 Preston Brown <pbrown@redhat.com> 0.5.2-1
- output to XF86Config (not XF86Config-4) when using --reconfig

* Fri Jul 19 2002 Alexander Larsson <alexl@redhat.com>
- Obsolete Xconfigurator

* Wed Jun 26 2002 Alexander Larsson <alexl@redhat.com> 0.3.1-1
- Updated to use configure

* Mon Jun 17 2002 Alexander Larsson <alexl@redhat.com>
- Bumped version to 0.3.0

* Thu May 30 2002 Alex Larsson <alexl@redhat.com>
- Bumped to 0.2.2

* Tue May 28 2002 Alex Larsson <alexl@redhat.com>
- Update to version 0.2.0

* Thu Apr 11 2002 Alex Larsson <alexl@redhat.com> 0.1.0-1
- Initial release

* Tue Apr  9 2002 Alex Larsson <alexl@redhat.com>
- Initial specfile


